Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.util
Class Dummy

    java.lang.Object
      org.netlib.util.Dummy

    public class Dummy

extends java.lang.Object

Placeholders for Fortran GOTO statements and labels.

This file is part of the Fortran-to-Java (f2j) system, developed at the University of Tennessee.

This class aids in the translation of goto statements. The code generator translates gotos and labels into calls to Dummy.go_to() or Dummy.label(). These calls act as 'placeholders' so that the gotos and labels can be found in the class file and converted to real branch instructions in the bytecode. Thus the resulting class file should contain no calls to Dummy.go_to() or Dummy.label(). If so, the print statements should warn the user that the goto translation was not successful.

Author:
  Keith Seymour (seymour@cs.utk.edu)

Constructor Summary
`Dummy()`

Method Summary
`static void` | `go_to(java.lang.String clname, int lbl)` Placeholder for a Fortran GOTO statement.
`static void` | `label(java.lang.String clname, int lbl)` Placeholder for a Fortran label.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dummy

    public Dummy()

Method Detail

### go_to

    public static void go_to(java.lang.String clname,
                             int lbl)

  Placeholder for a Fortran GOTO statement.

  Parameters:
    `clname` - name of the program unit where this GOTO exists
    `lbl` - the label number (target) of the GOTO

### label

    public static void label(java.lang.String clname,
                             int lbl)

  Placeholder for a Fortran label.

  Parameters:
    `clname` - name of the program unit where this label exists
    `lbl` - the label number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD